> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete organization

> This endpoint lets you delete an organization. You need to have `WRITE` access on your provider. When an organization gets deleted all the resources linked to it are deleted (users and businesses). If the organization still has businesses or users, it would raise an error if you do not indicate `force="True"` in the JSON body.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml delete /org/{org_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /org/{org_id}:
    delete:
      tags:
        - Organizations
      summary: Delete organization
      description: >
        This endpoint lets you delete an organization. You need to have `WRITE`
        access on your provider. When an organization gets deleted all the
        resources linked to it are deleted (users and businesses). If the
        organization still has businesses or users, it would raise an error if
        you do not indicate `force="True"` in the JSON body.
      operationId: deleteOrganization
      parameters:
        - $ref: '#/components/parameters/path_org_id'
        - $ref: '#/components/parameters/organization_force_delete'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Response object
                properties:
                  status:
                    $ref: '#/components/schemas/RequestStatus'
                  org_id:
                    $ref: '#/components/schemas/OrgId'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_org_id:
      in: path
      name: org_id
      required: true
      schema:
        type: integer
      description: >
        Unique ID of the organization to which the resource belongs. Only
        `PROVIDER` users can access resources from a different organization than
        their own. If you are not a `PROVIDER`, this will default to the ID of
        your organization.
    organization_force_delete:
      in: query
      name: force
      required: false
      schema:
        $ref: '#/components/schemas/OrganizationForceDeletion'
  schemas:
    RequestStatus:
      description: Request status
      type: string
      enum:
        - success
    OrgId:
      description: Unique identifier of an organization in Partoo.
      type: integer
      example: 42
    OrganizationForceDeletion:
      description: >-
        Force the deletion of organization even if there are still users and
        business linked to it
      type: boolean
      default: false
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````